Package de.gebit.integrity.remoting.transport.messages

## Class ForkResultSummaryMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.ForkResultSummaryMessage

- All Implemented Interfaces:
    `Serializable`

      public class ForkResultSummaryMessage
      extends AbstractMessage

  A summary over the results which is returned by a fork after executing a suite.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForkResultSummaryMessage()` | The no-arg constructor, primarily used for serialization.
    `ForkResultSummaryMessage​(Integer aSuccessCount, Integer aFailureCount, Integer aTestExceptionCount, Integer aCallExceptionCount)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `getCallExceptionCount()` |
    `Integer` | `getFailureCount()` |
    `Integer` | `getSuccessCount()` |
    `Integer` | `getTestExceptionCount()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForkResultSummaryMessage

          public ForkResultSummaryMessage​(Integer aSuccessCount,
                                          Integer aFailureCount,
                                          Integer aTestExceptionCount,
                                          Integer aCallExceptionCount)

      Creates a new instance.
      Parameters:
        `aSuccessCount` - the number of successful tests
        `aFailureCount` - the number of failed tests
        `aTestExceptionCount` - the number of exceptions in tests
        `aCallExceptionCount` - the number of call exceptions in tests

    - #### ForkResultSummaryMessage

          public ForkResultSummaryMessage()

      The no-arg constructor, primarily used for serialization.

  - ### Method Detail

    - #### getSuccessCount

          public Integer getSuccessCount()

    - #### getFailureCount

          public Integer getFailureCount()

    - #### getTestExceptionCount

          public Integer getTestExceptionCount()

    - #### getCallExceptionCount

          public Integer getCallExceptionCount()